# Getting Started with Rails, Docker
## Usage
*  Clone this repository

```bash
# via SSH (Make sure that you have already finished the setup for the SSH keys)
git clone ssh://git@gitlab.discs.ateneo.edu:15316/mis-21-2018-intersession/1-getting-started-with-rails.git sample_app
# or
# via HTTPS
git clone https://gitlab.discs.ateneo.edu/mis-21-2018-intersession/1-getting-started-with-rails.git sample_app
```
**Note**: You can replace the name of the project e.g. ``sample_app`` to any preferred project name.

* Go inside the cloned repository

```bash
cd sample_app
```

* Make sure that the ``start`` file is executable.

```bash
chmod +x start
```

* Make sure to re-initialize own Git repository

```bash
rm -rf .git
git init
```

* Run this command to identify the current directory

```bash
pwd
```
**Note**: Take note of the output of this command. This shall serve as an input value to the next commands.

* Build and start Docker containers

```bash
docker-compose build
docker-compose up
```
**Note**: During the first run, this will take a while. Proceed with the next steps ONLY after a similar message shows up.

```bash
sample_app_web_1 exited with code 0
```

* Open another Terminal (Mac/Unix) / Powershell (Windows).
* Go inside the project directory.

```bash
cd <command output of the previous pwd command>
```

* Stop Docker containers

```bash
docker-compose down
```

* Create a new Rails project

```bash
docker-compose run web rails new . --force --database=postgresql
```
**Notes**: You can remove ``--database=postgresql`` if a different database engine will be used.

* In one of the two opened Terminal (Mac/Unix) / Powershell (Windows), start again Docker containers

```bash
docker-compose up
```

* Create the ``development`` and ``test`` database

```bash
docker-compose run web rails db:create
```